ANV401-FingerprintSensor:
  author: Jason Berger
  bus: UART
  category: Device/Biometric
  description: Driver for ANV401 based capactive fingerprint sensor
  doc: Modules/Devices/Biometric/ANV401-FingerprintSensor/README.md
  docs:
  - manual: https://www.waveshare.com/wiki/UART_Fingerprint_Sensor_(C)
  mfr: Waveshare
  mfr_pn: ANV401
  name: ANV401-FingerprintSensor
  path: Modules/Devices/Biometric/ANV401-FingerprintSensor
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Biometric/ANV401-FingerprintSensor.git
Atmel:
  category: Platform
  description: Abstraction layer for ESP32 series MCUs
  doc: Modules/Platforms/Atmel/README.md
  name: Atmel
  path: Modules/Platforms/Atmel
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Platforms/Atmel.git
BQ28Z:
  author: Jason Berger
  bus: I2C
  category: Device/Power
  created: 01/30/2020
  datasheet: http://www.ti.com/lit/ds/symlink/bq28z610.pdf
  description: Battery Fuel Gauge
  digikey_pn: 296-43394-1-ND
  doc: Modules/Devices/Power/BQ28Z/README.md
  docs:
  - manual: http://www.ti.com/general/docs/lit/getliterature.tsp?baseLiteratureNumber=sluua65&fileType=pdf
  i2c_addr: 170
  manual: http://www.ti.com/general/docs/lit/getliterature.tsp?baseLiteratureNumber=sluua65&fileType=pdf
  mfr: Texas Instruments
  mfr_pn: BQ28Z610DRZT
  name: BQ28Z
  path: Modules/Devices/Power/BQ28Z
  prefix: bq28z
  requires:
  - Platform
  - RegDev
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Power/BQ28Z.git
ByteFifo:
  category: utility
  description: simplified byte fifo utility
  doc: Modules/Utilities/ByteFifo/README.md
  name: ByteFifo
  path: Modules/Utilities/ByteFifo
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/ByteFifo.git
COBS:
  category: Utility
  description: COBS encoding utility and FiFO with built in COBS encoding
  doc: Modules/Utilities/COBS/README.md
  name: COBS
  path: Modules/Utilities/COBS
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/COBS.git
Common:
  category: Platform
  description: Common platform abstraction layer
  doc: Modules/Platforms/Common/README.md
  name: Common
  path: Modules/Platforms/Common
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Platforms/Common.git
ESP32:
  category: Platform
  description: Abstraction layer for linux systems
  doc: Modules/Platforms/ESP32/README.md
  name: ESP32
  path: Modules/Platforms/ESP32
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Platforms/ESP32.git
Eeprom:
  author: Jason Berger
  bus: I2C, SPI
  category: Device/Memory
  created: 01/30/2020
  description: Generic I2C/SPI Eeprom Memory
  doc: Modules/Devices/Memory/Eeprom/README.md
  name: Eeprom
  path: Modules/Devices/Memory/Eeprom
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Memory/Eeprom.git
ErcMonoLcd:
  author: Jason Berger
  category: Device/Displays
  created: 01/30/2020
  datasheet: https://www.mikrocontroller.net/attachment/10245/SED1565.pdf
  description: Monochromatic display
  doc: Modules/Devices/Displays/ErcMonoLcd/README.md
  mfr: mikrocontroller
  name: ErcMonoLcd
  path: Modules/Devices/Displays/ErcMonoLcd
  requires:
  - MonoGfx
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Displays/ErcMonoLcd.git
Fifo:
  category: utility
  description: generic fifo utility
  doc: Modules/Utilities/Fifo/README.md
  name: Fifo
  path: Modules/Utilities/Fifo
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/Fifo.git
GattInterface:
  category: Utility/interface
  description: Gatt Server back end code for integrating with mrt-ble
  doc: Modules/Utilities/Interfaces/GattInterface/README.md
  name: GattInterface
  path: Modules/Utilities/Interfaces/GattInterface
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/Interfaces/GattInterface.git
Gfx:
  category: utility
  description: generic Module for  graphics buffering
  doc: Modules/Utilities/GFX/Gfx/README.md
  name: Gfx
  path: Modules/Utilities/GFX/Gfx
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/GFX/Gfx.git
HTS221:
  ai_mask: 128
  bus: I2C
  category: Device/Sensor
  datasheet: https://www.st.com/content/ccc/resource/technical/document/datasheet/4d/9a/9c/ad/25/07/42/34/DM00116291.pdf/files/DM00116291.pdf/jcr:content/translations/en.DM00116291.pdf
  description: Humidity and Temperature Sensor
  digikey_pn: 497-15382-1-ND
  doc: Modules/Devices/Sensors/HTS221/README.md
  i2c_addr: 190
  mfr: STMicroelectronics
  mfr_pn: HTS221TR
  name: HTS221
  package: custom
  path: Modules/Devices/Sensors/HTS221
  prefix: HTS
  requires:
  - RegDevice
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Sensors/HTS221.git
JSON:
  doc: Modules/Utilities/JSON/README.md
  name: JSON
  path: Modules/Utilities/JSON
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/JSON.git
LIS2DH12:
  bus: I2C,SPI
  category: Device
  datasheet: http://www.st.com/content/ccc/resource/technical/document/datasheet/12/c0/5c/36/b9/58/46/f2/DM00091513.pdf/files/DM00091513.pdf/jcr:content/translations/en.DM00091513.pdf
  description: MEMS Digital Output Motion Sensor Ultra Low-Power High Performance
    3-Axis "Femto" Accelerometer
  digikey_pn: 497-14851-1-ND
  doc: Modules/Devices/Sensors/LIS2DH12/README.md
  i2c_addr: 50
  mfr: STMicroelectronics
  mfr_pn: LIS2DH12TR
  name: LIS2DH12
  path: Modules/Devices/Sensors/LIS2DH12
  prefix: lis
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Sensors/LIS2DH12.git
LSM6D:
  doc: Modules/Devices/Sensors/LSM6D/README.md
  name: LSM6D
  path: Modules/Devices/Sensors/LSM6D
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Sensors/LSM6D.git
Linux:
  category: Platform
  description: Abstraction layer for Atmel series MCUs
  doc: Modules/Platforms/Linux/README.md
  name: Linux
  path: Modules/Platforms/Linux
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Platforms/Linux.git
Nrf24:
  doc: Modules/Devices/RF/Nrf24/README.md
  name: Nrf24
  path: Modules/Devices/RF/Nrf24
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/RF/Nrf24.git
OpenExpander:
  category: Device/IO
  description: Driver for STM8 running custom GPIO expander firmware
  doc: Modules/Devices/IO/OpenExpander/README.md
  name: OpenExpander
  path: Modules/Devices/IO/OpenExpander
  requires:
  - RegDevice
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/IO/OpenExpander.git
PolyPacket:
  category: utility
  description: polymorphic messaging framework
  doc: Modules/Utilities/PolyPacket/README.md
  name: PolyPacket
  path: Modules/Utilities/PolyPacket
  requires:
  - COBS
  - JSON
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/PolyPacket.git
RegDevice:
  category: Device
  description: Base class for register based devices
  doc: Modules/Devices/RegDevice/README.md
  name: RegDevice
  path: Modules/Devices/RegDevice
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/RegDevice.git
SHT31:
  addr_size: 2
  bus: I2C
  category: Device/Sensor
  datasheet: https://media.digikey.com/pdf/Data%20Sheets/Sensirion%20PDFs/HT_DS_SHT3x_DIS.pdf
  description: description
  digikey_pn: 1649-1011-1-ND
  doc: Modules/Devices/Sensors/SHT31/README.md
  i2c_addr: 68
  mfr: Sensirion
  mfr_pn: SHT31-DIS-B2.5KS
  name: SHT31
  path: Modules/Devices/Sensors/SHT31
  prefix: sht
  requires:
  - RegDevice
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Sensors/SHT31.git
SSD1306:
  doc: Modules/Devices/Displays/SSD1306/README.md
  name: SSD1306
  path: Modules/Devices/Displays/SSD1306
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Displays/SSD1306.git
STC3117:
  author: Jason Berger
  bus: I2C
  category: Device/Power
  created: 03/30/2020
  datasheet: https://www.st.com/content/ccc/resource/technical/document/datasheet/ea/b5/01/6e/dd/f0/49/3e/DM00105047.pdf/files/DM00105047.pdf/jcr:content/translations/en.DM00105047.pdf
  description: Gas gauge IC with battery charger control
  digikey_pn: 497-15387-1-ND
  doc: Modules/Devices/Power/STC3117/README.md
  i2c_addr: 224
  mfr: STMicroelectronics
  mfr_pn: STC3117IJT
  name: STC3117
  path: Modules/Devices/Power/STC3117
  prefix: stc
  requires:
  - RegDevice
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Power/STC3117.git
STM32:
  category: Platform
  description: Abstraction layer for STM32 series MCUs
  doc: Modules/Platforms/STM32/README.md
  name: STM32
  path: Modules/Platforms/STM32
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Platforms/STM32.git
STSPIN220:
  bus: GPIO
  category: Device/MotorDriver
  datasheet: https://www.st.com/resource/en/datasheet/stspin220.pdf
  desc: Low voltage stepper motor driver
  digikey_pn: 497-16602-1-ND
  doc: Modules/Devices/MotorDrivers/STSPIN220/README.md
  mfr: STMicroelectronics
  mfr_pn: STSPIN220
  name: STSPIN220
  package: QFN16
  path: Modules/Devices/MotorDrivers/STSPIN220
  prefix: spn
  requires:
  - Platform
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/MotorDrivers/STSPIN220.git
STWLC68:
  author: Mark Bayless
  bus: I2C
  category: Device/Power
  created: 05/26/2021
  datasheet: https://https://www.st.com/resource/en/datasheet/stwlc68.pdf
  description: Wireless charger
  digikey_pn: 497-STWLC68JRHTR-ND
  doc: Modules/Devices/Power/STWLC68/README.md
  i2c_addr: 194
  mfr: STMicroelectronics
  mfr_pn: STWLC68JRH
  name: STWLC68
  path: Modules/Devices/Power/STWLC68
  prefix: stw
  requires:
  - RegDevice
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Power/STWLC68.git
Spartan6:
  author: Jason Berger
  category: Device/FPGA
  created: 01/30/2020
  datasheet: https://www.xilinx.com/support/documentation/data_sheets/ds160.pdf
  description: FPGA
  digikey_pn: XC6SLX9-L1TQG144C-ND
  doc: Modules/Devices/FPGA/Spartan6/README.md
  mfr: xilinx
  mfr_pn: XC6SLX9-L1TQG144C
  name: Spartan6
  path: Modules/Devices/FPGA/Spartan6
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/FPGA/Spartan6.git
SpiFlash:
  author: Jason Berger
  category: Device/Memory
  created: 01/30/2020
  datasheet: http://www.adestotech.com/wp-content/uploads/DS-AT25SF041_044.pdf
  description: Spi flash IC
  digikey_pn: 1265-1173-5-ND
  doc: Modules/Devices/Memory/SpiFlash/README.md
  mfr: Adesto
  mfr_pn: AT25SF041-SHD-B
  name: SpiFlash
  path: Modules/Devices/Memory/SpiFlash
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Memory/SpiFlash.git
TestData:
  category: Utility/Audio
  description: Audio testing Utility with signal generation and test data
  doc: Modules/Utilities/Audio/TestData/README.md
  name: TestData
  path: Modules/Utilities/Audio/TestData
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/Audio/TestData.git
TriColorE-Ink:
  author: Jason Berger
  category: Device/Displays
  created: 01/30/2020
  datasheet: https://www.waveshare.com/w/upload/9/9e/1.54inch-e-paper-b-specification.pdf
  description: 3 Color e-ink display
  doc: Modules/Devices/Displays/TriColorE-Ink/README.md
  mfr: waveshare
  name: TriColorE-Ink
  path: Modules/Devices/Displays/TriColorE-Ink
  requires:
  - MonoGfx
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Displays/TriColorE-Ink.git
UnitTest:
  name: UnitTest
  path: UnitTest
  url: https://gitlab.com/uprev/public/mrt/unit-test.git
VL53L0x:
  category: Device/Sensor
  doc: Modules/Devices/Sensors/VL53L0x/README.md
  name: VL53L0x
  path: Modules/Devices/Sensors/VL53L0x
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Sensors/VL53L0x.git
WM8731:
  author: Jason Berger
  bus: I2C, SPI
  category: Device/Audio
  created: 01/30/2020
  datasheet: https://statics.cirrus.com/pubs/proDatasheet/WM8731_v4.9.pdf
  description: Aduio codec
  digikey_pn: WM8731CSEFL-ND
  doc: Modules/Devices/Audio/WM8731/README.md
  i2c_addr: 52
  mfr: STMicroelectronics
  mfr_pn: WM8731CLSEFL
  name: WM8731
  package: QFN-28
  path: Modules/Devices/Audio/WM8731
  prefix: wm
  requires:
  - RegDevice
  url: https://gitlab.com/uprev/public/mrt/modules/Devices/Audio/WM8731.git
unit-test:
  name: unit-test
  path: unit-test
  url: https://gitlab.com/uprev/public/mrt/unit-test.git
xCoder:
  category: Utility/Audio
  description: Audio encoding/decoding Utility
  doc: Modules/Utilities/Audio/xCoder/README.md
  name: xCoder
  path: Modules/Utilities/Audio/xCoder
  requires: []
  url: https://gitlab.com/uprev/public/mrt/modules/Utilities/Audio/xCoder.git
